# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-MD5
Version:        2.03
Release:        alt2_15
Summary:        Perl interface to the MD5 Message-Digest Algorithm
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/MD5/
Source0:        http://www.cpan.org/modules/by-module/MD5/GAAS/MD5-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Digest/MD5.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
Source44: import.info

%description
This module (MD5.pm) is just a thin wrapper around the Digest::MD5
module.  It is provided so that legacy code that rely on the old
interface continue to work with the speed benefit of the new module.

%prep
%setup -q -n MD5-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 2.03-alt2_15
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 2.03-alt2_14
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 2.03-alt2_12
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 2.03-alt1_12
- fc import

